/*
Copyright 2018 Jonah Snider

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    https://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

/**
 * @typedef WebsiteSettings
 * @type {object}
 * @property {string} token - Token for using the website API.
 * @property {string} id - The bot user ID to update statistics for.
 * @property {number} serverCount - Total server count.
 * @property {number[]} [shards] - Server/guild count per shard.
 */
/**
 * @typedef Statistics
 * @type {object}
 * @property {number} serverCount - Total server count.
 * @property {number[]} [shards] - Server/guild count per shard.
 */

module.exports = {
  Batch: require("./structures/Batch"),
  BotlistSpace: require("./structures/websites/BotlistSpace"),
  BotsForDiscord: require("./structures/websites/BotsForDiscord"),
  BotsOnDiscord: require("./structures/websites/BotsOnDiscord"),
  DiscordBoats: require("./structures/websites/DiscordBoats"),
  DiscordBoatsClub: require("./structures/websites/DiscordBoatsClub"),
  DiscordBotIndex: require("./structures/websites/DiscordBotIndex"),
  DiscordBotList: require("./structures/websites/DiscordBotList"),
  DiscordBotListCom: require("./structures/websites/DiscordBotListCom"),
  DiscordBotListXyz: require("./structures/websites/DiscordBotListXyz"),
  DiscordBots: require("./structures/websites/DiscordBots"),
  DiscordBotsGroup: require("./structures/websites/DiscordBotsGroup"),
  DiscordBotWorld: require("./structures/websites/DiscordBotWorld"),
  DiscordListApp: require("./structures/websites/DiscordListApp"),
  DiscordServices: require("./structures/websites/DiscordServices"),
  DiscordsExtremeList: require("./structures/websites/DiscordsExtremeList"),
  DivineDiscordBotList: require("./structures/websites/DivineDiscordBotList")
};
